	<cfscript>
		public boolean function gdprIsAllowed(shortcode) {
			var visitorService    = getSingleton( "WebsiteVisitorService" );
			var poService         = getSingleton( "presideObjectService" );
			
			var result = poService.selectData(
				  objectName   = "gdprpermission"
				,	filter       = { "item.shortcode" = arguments.shortcode?:"", visitorID = visitorService.getVisitorId() }
				, selectFields = [ "allowed"]
				, maxRows      = 1
				, orderby      = "datecreated desc"
			);
			
			return (result.allowed==1?true:false);
		}
	</cfscript>